CONVERTCRAFT V3.0: 차세대

프리미엄 개인. 순수한 성과.

Sub-2s는 우리의 상표 새로운 V3.0 엔진과 속도를 가공합니다. 우리는 당신의 파일을 결코 당신의 장치를 떠나지 않는 주요한 경험을 주는 모든 것을 재건했습니다.

왜 우리는 다릅니다:

  • ₢ 킹 유형: WASM 모든 변환은 하드웨어에서 로컬로 실행됩니다.
  • 비밀번호: 당신의 파일은 너의다. 클라우드 없음, 추적 없음, 타협 없음.
  • 당신을 위해 건축하는: 우리는 글로벌 크리에이터 커뮤니티를 위해 전적으로 이 플랫폼을 확장했습니다.

미션의 시작: 🛡️

이 규모에서 이 인프라를 실행하는 것은 심각한 돈입니다. 우리는 당신의 자료를 판매하지 않으며, 우리는 성가신 광고를 달리지 않습니다. 우리는 여러분과 같은 사용자에게만 의존합니다.

가 저장된 경우, 오늘 데이터 안전을 유지하거나, 모든 사람에게 무료로 개인을 유지할 수 있습니다. ConvertCraft

[ 속도: 순간 ][스위치: <100ms][ 로드: <2초 ]개인정보 보호: 100%모든 시스템 정상 작동

❤️ 우리의 사명 / 기부 지원

💎 미션 지원 ($4.99/월)🔥 일회성 기부

모든 달러는 개인 1,000 명의 사용자를 유지합니다.

ConvertCraft API 문서

ConvertCraft 파일 변환 기능을 앱에 직접 연결하기 위해 REST API를 통해 간단한 HTTP 요청을 통해 처리합니다. 이미지, PDF, 오디오, 비디오, 텍스트를 처리하기 위해 간단하게 HTTP 요청을 수행합니다.

Base URL: https://api.convert-craft.com
OpenAPI spec: /openapi.yaml
RapidAPI: Subscribe on RapidAPI the fastest way to get started.
Need help? Join our Discord

인증

대부분의 엔드포인트는 공개이며 인증이 필요하지 않습니다. 더 높은 트래픽 제한 또는 고급 기능을 위해 RapidAPI를 통해 API 키를 받으세요.

시작하기 (RapidAPI)

Subscribe on RapidAPI and use RapidAPI's built-in code snippets. The examples below are copy/paste templates — replace YOUR_API_KEY and YOUR_PROXY_SECRET with the values shown in RapidAPI.

1) Health check (GET /status)

curl -s \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  https://api.convert-craft.com/status

2) Simple JSON tool (POST /slugify)

curl -s -X POST \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  -d '{"text":"Hello World!"}' \
  https://api.convert-craft.com/slugify

3) File tool example (POST /image-convert)

File endpoints download from the sourceUrl field. Use a direct URL that returns HTTP 200 (this API intentionally does not follow redirects).

curl -s -X POST \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-rapidapi-proxy-secret: YOUR_PROXY_SECRET" \
  -d '{"sourceUrl":"https://example.com/photo.png","outputFormat":"webp"}' \
  https://api.convert-craft.com/image-convert \
  --output photo.webp

엔드포인트 카테고리

The API provides endpoints grouped by conversion type:

  • 이미지 처리Convert, resize, and optimize images (JPG, PNG, WebP, AVIF, HEIC, SVG, GIF, TIFF, BMP, ICO)
  • PDF 도구Convert, merge, split, compress, and rasterize PDFs
  • 오디오 도구Convert between MP3, WAV, OGG, AAC, FLAC, M4A formats
  • 비디오 도구Convert MP4, WebM, MKV, MOV, AVI, extract audio from video
  • 텍스트 도구Slugify, hash, encode/decode, and other text operations
  • 암호화폐 도구Hashing, encoding, and cryptographic utilities
  • 시스템Health check, status, and API metadata

For the full list of endpoints with request/response schemas, see the OpenAPI spec.

레벨 제한

  • Free tier: 10 requests per minute
  • Pro tier: 100 requests per minute
  • Enterprise: Custom limits available on request

공개 엔드포인트는 IP당 제한됩니다. 급속API 구독자는 더 높은 제한을 받습니다.

Error Handling

All errors return JSON with a consistent structure:

{
  "error": "short_code",
  "message": "Human-readable description"
}

Common HTTP status codes:

  • 400Bad request (missing or invalid parameters)
  • 401Unauthorized (missing or invalid API key)
  • 403Forbidden (invalid proxy secret or insufficient permissions)
  • 429Rate limit exceeded
  • 500Internal server error

Support

For API questions, bug reports, or feature requests, email [email protected] or join our Discord community.